Subject: 30.0.50; [WISHLIST] Use-package require-with-check integration

From: No Wayman <[email-masked]>
Date: Wed, 21 Feb 2024 10:16:26 -0500

A common user configuration error is loading built-in version of a 
package prior to loading a different version of the same package. 
For example, when user's store their config in an Org file and use 
`org-babel-load-file` to load their config which then attempts to 
activate/load the development version of Org.

use-package could be made to expand so `require-with-check' is 
used instead of `require' to catch cases like these. This should 
be customizable on a per-declaration basis, with a defcustom akin 
to the other use-package-always-* options. The use-package options 
should allow both signaling an error when the package is already 
on load-path, or forcefully reloading.